- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_uri_t

# mongoc_uri_unescape()

## Synopsis

    char *
    mongoc_uri_unescape (const char *escaped_string);

## Parameters

- `escaped_string`: A utf8 encoded string.

## Description

Unescapes an URI encoded string. For example, “%40” would become “@”.

## Returns

Returns a newly allocated string that should be freed with `bson_free()`.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.